POS API Reference
HomeSimpra POSSimpra InventoryCheck&Place
HomeSimpra POSSimpra InventoryCheck&Place
  1. Shifts
  • Introduction
  • Overview
  • External API Action Scenarios
  • Checks
    • Get Checks
    • Add Discount to Check
    • Get Check
    • Add Payment to Check
    • Add Portal Plus Invoice Id to Check
    • Add Service Charge to Check
    • Add Service Message To Check
    • Cancel Check Item
    • Change Delivery Status
    • Create Check Item
    • Create Check
    • Remove Check Discount
    • Remove Check Service Charge
    • Unlock Check
    • Get Check Activities
    • Add Note to Check
  • Menu Items
    • Get Menu Items
    • Get Menu Item
    • Create Menu Items
    • Update Menu Items
    • Upsert Menu Items
    • Remove Menu Item Report Tags
  • Menu Item Definitions
    • Get Menu Item Definitions
  • Menu Item Groups
    • Get Menu Item Groups
  • Item Definitions
    • Get Item Definitions
    • Update Item Definitions
  • Condiments
    • Get Condiments
  • Condiment Groups
    • Get Condiment Groups
  • ComboMenus
    • Get ComboMenus
  • Custom Menu Items
    • Get Custom Menu Items
  • Customers
    • Get Customers
    • Add Customer
    • Update Customer
  • CustomerDiscounts
    • Get CustomerDiscounts
  • Employees
    • Get Employees
  • Properties
    • Get Properties
  • Accounting API
    • Get Enterprise
    • Get Property
    • Get Enterprises
    • Get Payment
    • Get Payments
    • Get Future Payments
    • Get Dealers
  • Cash Trackings
    • Get Cash Trackings
  • Currencies
    • Get Currencies
  • Current Accounts
    • Get Current Accounts
  • Daily Totals
    • Get Daily Totals
  • Devices
    • Get Devices
  • Discounts
    • Get Discounts
  • Imports
    • Get Imports
  • Opera Checks
    • Index
    • Mark As Sent Opera Pms Check
  • Payment Types
    • Get Payment Types
  • Price Lists
    • Get Price Lists
    • Get Price List
    • Create Price List
    • Create Price List with Sku
    • Update Price List
    • Delete Price List
    • Update Price List Items
    • Delete Price List Items
    • Update Price List Items with Sku
    • Delete Price List Items with Sku
  • Reason Payments
    • Get Reason Payments
  • Reasons
    • Get Reasons
  • Report Tags
    • Get Report Tags
    • Add Report Tag
    • Update Report Tag
  • Revenue Centers
    • Get Revenue Centers
  • Sales Channels
    • Get Sales Channels
  • Scheduled Jobs
    • Get Scheduled Job
    • Create Scheduled Job
    • Create Scheduled Job with Sku
    • Update Scheduled Job
    • Update Scheduled Job with Sku
  • Section Things
    • Get Section Things
  • Sections
    • Get Sections
  • Service Charges
    • Get Service Charges
  • Shifts
    • Get Shifts
      GET
    • Get Shift
      GET
  • Tables
    • Get Tables
  • Tags
    • Get Tags
  • Taxes
    • Get Taxes
  • Z Reports
    • Get Z Reports
  • Schemas
    • Schemas
      • PaginationMeta
      • Translation
      • Metafield
      • Error
      • Check
      • Customer
      • CustomerSummary
      • CustomerAccountDetail
      • MenuItem
      • Employee
      • Property
      • Enterprise
      • RevenueCenter
      • Table
      • SalesChannel
      • Delivery
      • CheckServiceCharge
      • CheckSummary
      • CheckDiscount
      • CheckPayment
      • CheckItem
      • CheckItemSummary
      • CheckOffer
      • Tax
      • Item
      • Device
      • Tag
      • ItemDefinition
      • CondimentGroup
      • DailyTotals
      • CreateCheckRequest
      • CreateCheckItemRequest
      • AddCheckPaymentRequest
      • AddCheckDiscountRequest
      • CreateCustomerRequest
      • CustomerAddressRequest
      • CustomerInvoiceRequest
      • UpdateCustomerRequest
      • CreateMenuItemRequest
      • UpdateMenuItemRequest
  1. Shifts

Get Shifts

Production
https://api.simpra.app
Production
https://api.simpra.app
GET
https://api.simpra.app
/shifts
Last modified:2026-07-30 09:21:11
Scope: Property
Query Parameters
ParameterDefaultDescription
page1
per_page10
device_id
business_dateExample 2019-01-21
business_date_sinceExample 2019-01-21
business_date_untilExample 2019-01-21

Request

Authorization
Add parameter in header
Simpra-Access-Token
Example:
Simpra-Access-Token: ********************
Query Params

Header Params

Responses

🟢200OK
application/json
OK
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.simpra.app/shifts?page=undefined&per_page=undefined&device_id=undefined&business_date=undefined&business_date_since=undefined&business_date_until=undefined' \
--header 'Simpra-Access-Token: <api-key>' \
--header 'Content-Type: application\json'
Response Response Example
{
    "meta": {
        "has_next_page": false,
        "current_page": 1,
        "per_page_count": 10,
        "total_count": 1,
        "total_page": 1
    },
    "shifts": [
        {
            "id": "6f6fc0e2-0839-4e2c-bcd9-dcc58be299af",
            "sequence": 18,
            "closing_note": "",
            "status": "closed",
            "business_date": "2020-07-03",
            "created_by_employee_id": "6f6fc0e2-0839-4e2c-bcd9-dcc58be299af",
            "closed_by_employee_id": "6f6fc0e2-0839-4e2c-bcd9-dcc58be299af",
            "device_id": "6f6fc0e2-0839-4e2c-bcd9-dcc58be299af",
            "property_id": "6f6fc0e2-0839-4e2c-bcd9-dcc58be299af",
            "details": {
                "end_date": "2020-07-03T15:15:53Z",
                "start_date": "2020-07-03T13:20:14Z",
                "start_cash": 12.5,
                "cash_sales": 273.5,
                "incoming": 7,
                "outgoing": -4,
                "end_cash": 291,
                "amount_need_to_be": 289,
                "difference_amount": 2
            },
            "payment_types": [
                {
                    "tender_media_id": "6f6fc0e2-0839-4e2c-bcd9-dcc58be299af",
                    "name": "Kredi Kartı",
                    "amount": 2
                }
            ],
            "cash_trackings": [
                {
                    "id": "6f6fc0e2-0839-4e2c-bcd9-dcc58be299af",
                    "shift_id": "6f6fc0e2-0839-4e2c-bcd9-dcc58be299af",
                    "property_id": "6f6fc0e2-0839-4e2c-bcd9-dcc58be299af",
                    "employee_id": "6f6fc0e2-0839-4e2c-bcd9-dcc58be299af",
                    "amount": -4,
                    "currency_code": "TRY",
                    "description": "Çıkar",
                    "created_at": 1593775836,
                    "created_date": "2020-01-21"
                },
                {
                    "id": "6f6fc0e2-0839-4e2c-bcd9-dcc58be299af",
                    "shift_id": "6f6fc0e2-0839-4e2c-bcd9-dcc58be299af",
                    "property_id": "6f6fc0e2-0839-4e2c-bcd9-dcc58be299af",
                    "employee_id": "6f6fc0e2-0839-4e2c-bcd9-dcc58be299af",
                    "amount": 2,
                    "currency_code": "TRY",
                    "description": "Çıkart",
                    "created_at": 1593775826,
                    "created_date": "2020-01-21"
                },
                {
                    "id": "afb98ac1-8c11-48d3-800e-3c6d2b70bc45",
                    "shift_id": "6f6fc0e2-0839-4e2c-bcd9-dcc58be299af",
                    "property_id": "6f6fc0e2-0839-4e2c-bcd9-dcc58be299af",
                    "employee_id": "6f6fc0e2-0839-4e2c-bcd9-dcc58be299af",
                    "amount": 5,
                    "currency_code": "TRY",
                    "description": "test",
                    "created_at": 1593775711,
                    "created_date": "2020-01-21"
                }
            ],
            "started_cash_amounts": [
                {
                    "amount": 64,
                    "currency_code": "USD"
                }
            ],
            "ended_cash_amounts": [
                {
                    "amount": 64,
                    "currency_code": "USD"
                }
            ]
        }
    ]
}
Modified at 2026-07-30 09:21:11
Previous
Get Service Charges
Next
Get Shift
Built with